Subject: bug#50918: "server is somewhat slow" error is more annoying than helpful

From: raid5atemyhomework <[email-masked]>
Date: Thu, 30 Sep 2021 15:17:59 +0000

So for the past several months I have been getting errors like these:

```
guix substitute: warning: while fetching https://ci.guix.gnu.org/nar/lzip/k9wmrk5m91599lk8gd4rc7h4df642qw0-curl-7.74.0: server is somewhat slow
guix substitute: warning: try `--no-substitutes' if the problem persists
guix substitute: error: connect*: Connection timed out
substitution of /gnu/store/k9wmrk5m91599lk8gd4rc7h4df642qw0-curl-7.74.0 failed
```

These errors are more annoying than helpful to me.  There's nothing I can do about the servers, and the ISP I have is the best I can get with my budget (I already have two ISPs, and the one I use for Guix is the one that is more reliable, believe me).

At the least, there should be some way to downgrade this from a "connection timed out" error to just keep on keeping on.  Or at least to tell the tool to just keep retrying the download for some specified number of times before actually giving up (in practice 2 or 3 times is enough on my part of the Internet).

Thanks
raid5atemyhomework